/* 应用管理 */

import axios, { restApi } from "@/utils/req";
import request from '@/utils/request' 

// 厂商管理
export const vendorRestApi = restApi("/appsvr/v2/manufacturer", { loading: true });

// 应用管理
export const appRestApi = restApi("/appsvr/v2/app");


// 获取所有应用不分页
export function allApps(status) {
    return axios.get('/appsvr/v2/allApps?applyStatus='+status)
}

// 认证因子信息
export function detail(id) {
    return axios.get(`/appsvr/app/factor/${id}`);
}

// 下拉因子列表
export function select(data) {
    return axios.post(`/appsvr/app/factorRadio`, data);
}

// 获取资源
export function getRemoteRource(data) {
    return axios.post(`/applicationManagement/resource/getResourceRemote`, data);
}
// 同步资源
export function syncRource() {
    return axios.get(`/applicationManagement/resource/sync`);
}
